### Function

# Ide log_init

#### Declaration

    void
    ide_log_init (
      gboolean stdout_,
      const gchar* filename
    )

#### Description

Initializes the logging subsystem. This should be called from the application entry point only. Secondary calls to this function will do nothing.

Available since: | 3.32

#### Parameters

`stdout_` | `gboolean`
| Indicates logging should be written to stdout.
`filename` | `const gchar*`
| An optional file in which to store logs.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.